## hubzero-metrics 2.1.0-1+deb7

=== debian/changelog ===
hubzero-metrics (2.1.0-1+deb7) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 11 Apr 2018 10:53:50 -0400

hubzero-metrics (2.0.2-4) unstable; urgency=low

  * update hubzero-cms dependencies list

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 21 Sep 2016 11:56:12 -0400

hubzero-metrics (2.0.2-1) unstable; urgency=low

  * update scripts to be compatible with packaged locations 
  * fix plot generation from having xrange errors on thumbnails

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 06 Jul 2016 10:56:12 -0400

hubzero-metrics (2.0.1-1) unstable; urgency=low

  * update scripts to be compatible with hubzero-cms v2+

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 30 Jun 2016 14:30:27 -0400

hubzero-metrics (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 17:01:13 -0400

hubzero-metrics (1.3.1-1) unstable; urgency=low

  * upstream update to metric 6
  * clean up build, remove deprecated files and instructions
  * fix log file references

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 05 Sep 2015 16:04:39 -0400

hubzero-metrics (1.3.0-1) unstable; urgency=low

  * upstream update to metrics 5.2

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Thu, 25 Sep 2014 20:40:06 -0400

hubzero-metrics (1.2.0-2) unstable; urgency=low

  * update hubzero-cms dependency definition in debian packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 15 Sep 2014 10:36:06 -0400

hubzero-metrics (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Sep 2014 15:16:25 -0400

hubzero-metrics (1.1.4-1) unstable; urgency=low

  * relax dependency on hubzero-cms

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 16:23:52 -0400

hubzero-metrics (1.1.3-1) unstable; urgency=low

  * repackaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 23 Aug 2013 16:20:38 -0400

hubzero-metrics (1.1.2-1) unstable; urgency=low

  * change default db host to 127.0.0.1 to avoid potential ::1 localhost
    delay. 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 25 Jun 2013 15:57:41 -0400

hubzero-metrics (1.1.1-1) unstable; urgency=low

  * add table prefix when using cms database

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 23 Sep 2012 12:57:48 -0400

hubzero-metrics (1.1.0-1) unstable; urgency=low

  * Initial release.

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 17 Sep 2012 13:20:53 -0400
