=== debian/changelog ===
hubzero-metrics (2.2.9-1+deb9) unstable; urgency=low

  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 23:11:50 -0700

hubzero-metrics (2.2.8-1) unstable; urgency=low

  * revert dependency change to msttcore-fonts-installer
    which is provided by hubzero repository

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 04 May 2020 11:03:17 -0700

hubzero-metrics (2.2.7-1) unstable; urgency=low

  * change el7 dependency to liberation-fonts

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 14:09:38 -0700

hubzero-metrics (2.2.6-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 30 Apr 2020 13:54:21 -0700

hubzero-metrics (2.2.5-1) unstable; urgency=low

  * add netpbm-progs dependency to rhel6 package
  * quote directory name in directory check

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 24 Jul 2018 14:36:45 -0400

hubzero-metrics (2.2.4-1) unstable; urgency=low

  * correctly change user of cron job without buildtime pre-reqs

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 24 Jul 2018 12:34:25 -0400

hubzero-metrics (2.2.3-1) unstable; urgency=low

  * detect system timezone if none configured for php

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 23 Jul 2018 15:58:37 -0400

hubzero-metrics (2.2.2-1) unstable; urgency=low

  * detect old gnuplot and alternate location for msttcore fonts
  * fix accidental errors from a wayward search and replace
  * remove unnecessary comments from cronjob
  * fix user to run cronjobs as when making rhel6 package
  * add perl and perl DBD MySQL packages as rhel6 dependencies
  * filter potential '=' in value in ldap entries of hubzero.conf
  * trim backquotes from hub_db when used in mysqli_connect
  * correct argument order in call to mysqli_real_escape_string
  * add flexible site detector everywhere needed
  * use <?php instead of deprecated <?

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Mon, 23 Jul 2018 13:58:21 -0400

hubzero-metrics (2.2.1-1) unstable; urgency=low

  * update php code to use mysqli module instead of mysql
  * add automatic detection of debian vs redhat apache log location
  * loosen hubzero configuration file syntax requirements

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 18 Jul 2018 16:25:02 -0400

hubzero-metrics (2.2.0-1) unstable; urgency=low

  * minor packaging update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 15:35:05 -0400

hubzero-metrics (2.1.0-1) unstable; urgency=low

  * version update

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 11 Apr 2018 10:53:50 -0400
