=== debian/control ===

Source: hubzero-metrics
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-metrics
Architecture: all
Depends: gnuplot, netpbm, libdbd-mysql-perl, ${shlibs:Depends}, ${misc:Depends}    ,php-cli 
Recommends: hubzero-cms-2.1.0 | hubzero-cms-2.0.0 | hubzero-cms-1.3.1 | hubzero-cms-1.3.0 | hubzero-cms-1.2.2 | hubzero-cms-1.2.1 | hubzero-cms-1.2.0 | hubzero-cms-2.2.0 | hubzero-cms-2.2 | hubzero-cms-2.1
Description: HUBzero metrics support package
 Add metrics support options to HUBzero CMS
